{% extends 'profile/layouts/frontend/base.html' %}
{% include 'profile/layouts/frontend/navbar.html' %}

{% load static %}
{% load humanize %}
{% block main %}
  <div class="container-fluid position-relative p-0">
    {% include 'profile/layouts/frontend/navbar.html' %}
    <div class="container-fluid bg-primary py-5 bg-header" style="margin-bottom: 90px;">
        <div class="row py-5">
            <div class="col-12 pt-lg-5 mt-lg-5 text-center">
                <h5 class="display-5 text-white animated zoomIn">{{title}}</h5>
                <a href="" class="h5 text-white">Dinas Pendidikan &amp; Kebudayaan Provinsi Papua Tengah</a>
            </div>
        </div>
    </div>
  </div>

    <div class="container mt-5 mb-5">
      <div class="row">
        <div class="col-md-8">
          <h5 id="kategori_berita">Daftar {{title}}</h5>
          <hr class="hr-sm mt-0 mb-5" align="left">
          {% if newss %}
            <div class="card-columns">
            {% for dt in newss %}
              <div class="card">
                <div class="kotaq-img">
                  <img src="{{ dt.url_img }}" class="img-fluid" alt="Responsive image">
                  {% if is_news %}
                  <a class="btn-preview" href="{% url 'profile:news_detail' slug=dt.slug %}" title="Lihat Berita">
                    <i class="bi bi-arrow-up-right-circle"></i></a>
                  {% else %}
                  <a class="my-gale-links btn-preview" data-title="{{ dt.title }}" data-gall="gallery" 
                    data-ratio="full" href="{{ dt.url_img }}"><i class="bi bi-plus-circle"></i>
                  </a>
                  {% endif %}
                </div>
                <div class="card-body">
                  <h6 class="card-title mb-0">{{ dt.title }}</h6>
                  <span class="text-muted lead-xs mb-0">{{ dt.created_by.first_name }} | {{ dt.created_at|date:"D, d M Y" }} - {{ dt.created_at|date:"H:i" }}</span>
                  <p class="card-text text-right mb-2"><small class="text-muted">{{ dt.created_at|naturaltime }}</small></p>
                </div>
              </div>
            {% endfor %}
            </div>
            <div class="row">
              <div class="col-md-12 mt-4">
                <div align="left">
                {% if newss.has_other_pages %}
                  <ul class="paginations">
                    {% if newss.has_previous %}
                      <li><a href="?page={{ newss.previous_page_number }}">«</a></li>
                    {% else %}
                      <li class="disabled"><span>«</span></li>
                    {% endif %}
                    {% for i in newss.paginator.page_range %}
                      {% if newss.number == i %}
                        <li class="inactive"><span>{{ i }} <span class="sr-only">(current)</span></span></li>
                      {% else %}
                        <li><a href="?page={{ i }}">{{ i }}</a></li>
                      {% endif %}
                    {% endfor %}
                    {% if newss.has_next %}
                      <li><a href="?page={{ newss.next_page_number }}">»</a></li>
                    {% else %}
                      <li class="disabled"><span>»</span></li>
                    {% endif %}
                  </ul>
                {% endif %}
                </div>
              </div>
            </div>
          {% else %}
            <h3>Belum Ada Data {{title}}</h3>
          {% endif %}

        </div>

        <div class="col-md-4">
          <div class="news-sidebar mt-0 mb-3">
            <h5>Tags Lain</h5>
            <hr class="hr-sm mt-0" align="left">
            {% for dt in dt_tags %}
            <a href="{% url 'profile:tags' jenis=jenis slug=dt.slug %}" class="btn btn-outline-secondary btn-sm mb-1 tags-xs">
              #{{dt.name}} <span class="badge badge-secondary badge-xs">{{dt.jml}}</span>
            </a>
            {% endfor %}
          </div>

          <div class="news-sidebar mt-5 mb-3">
            <h5>Menu Lain</h5>
            <hr class="hr-sm mt-0" align="left">
            <div class="news-submenu">
              <ul>
                  <li><a href="" alt="Berita">Berita</a></li>
                  <li><a href="" alt="Galeri">Galeri</a></li>
                  <li><a href="" alt="Dokumen Publikasi">Dokumen Publikasi</a></li>
              </ul>
            </div>
          </div>

          <div class="news-sidebar mt-5 mb-3">
            <h5>Berita Terfavorit</h5>
            <hr class="hr-sm mt-0" align="left">
            {% if favs %}
            {% for dt in favs %}
            <div class="berita-kanan">
              <h4 class="berita-judul-kanan">
                <a href="">{{ dt.title }}</a>
              </h4>
              <div class="berita-text-cilik-kanan"><span>{{ dt.created_by.first_name }} {{ dt.created_by.last_name }} | {{ dt.created_at|date:"d M Y" }} | Dilihat : {{ dt.seen }} kali</span></div>
            </div>
            {% endfor %}
            {% else %}
            <span>Belum Ada Berita Favorit</span>
            {% endif %}
          </div>

        </div>
      </div>
        
    </div>

{% endblock main %}

{% include 'profile/layouts/frontend/footer.html' %}

{% block scripts_bawah %}
    
{% endblock scripts_bawah %}